Page MenuHomePhabricator

Start using async chunked uploads
Closed, ResolvedPublic

Description

Should eliminate the need for most server-side uploads

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2017, 10:08 PM

Mentioned in SAL (#wikimedia-labs) [2017-01-24T14:10:43Z] <zhuyifei1999_> pip installing pywikibot at 7ac0142 across all encoding hosts T155455

Mentioned in SAL (#wikimedia-labs) [2017-01-24T14:15:16Z] <zhuyifei1999_> git pulling v2c code to 31479a4 across all encoding hosts T155455

Mentioned in SAL (#wikimedia-labs) [2017-01-24T14:19:03Z] <zhuyifei1999_> depooling encoding01 & 02 and waiting for tasks to finish before restarting (reload the code) T155455

Mentioned in SAL (#wikimedia-labs) [2017-01-24T14:58:16Z] <zhuyifei1999_> killing the rest of the tasks on encoding01 because they aren't going to succeed anyways; depooling encoding03; reloading encoding01 T155455

Mentioned in SAL (#wikimedia-labs) [2017-01-24T15:32:28Z] <zhuyifei1999_> git pulling v2c code to b2d6e84 across all encoding hosts T155455

Mentioned in SAL (#wikimedia-labs) [2017-01-24T18:27:53Z] <zhuyifei1999_> repooling encoding02 & encoding03, depooling encoding01 T155455

zhuyifei1999 closed this task as Resolved.Jan 24 2017, 6:29 PM

Now using the still-in-gerrit-review pywikibot code.